Typed data to sign for a top-up of `amount`
POST
/v1/subscriptions/{subscription_id}/bond-payload
const url = 'https://testnet-rpc.necter.network/v1/subscriptions/example/bond-payload';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"amount":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://testnet-rpc.necter.network/v1/subscriptions/example/bond-payload \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "amount": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”subscription_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
amount
required
Token base units
string
Example generated
{ "amount": "example"}Responses
Section titled “Responses”Payload
Media typeapplication/json
Typed data the owner signs (eth_signTypedData_v4); then POST it back as SignedGasless
object
action
required
string
typed_data
required
object
domain
required
object
key
additional properties
any
types
required
object
key
additional properties
any
primaryType
required
string
message
required
object
key
additional properties
any
permit
direct_tx
object
chain_id
required
integer
to
required
Lowercase EVM address
string
data
required
string
value
Token base units
string
description
string
expires_at
required
integer
Example
{ "action": "bond"}